#!/bin/sh
#
# $Copyright: Copyright (c) 2016 Veritas Technologies LLC.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# VERITAS TECHNOLOGIES LLC.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF VERITAS TECHNOLOGIES LLC.
#
# The  Licensed  Software  and  Documentation  are  deemed  to be commercial
# computer  software  as  defined  in  FAR  12.212 and subject to restricted
# rights  as  defined in FAR Section 52.227-19 "Commercial Computer Software
# - Restricted  Rights"  and  DFARS 227.7202,  et seq.  "Commercial Computer
# Software  and  Commercial Computer Software Documentation," as applicable,
# and any successor regulations, whether delivered by Veritas as on premises
# or  hosted  services.  Any  use,  modification,  reproduction  release,
# performance,  display  or  disclosure  of  the  Licensed  Software  and
# Documentation by the U.S. Government shall be solely in accordance with
# the terms of this Agreement. $
# $Revision: ee2a3920aad9aafc36fbaa94d7a292f364a68ae6 $
# $Source: src/srdfsg/unix/addSRDFSGType.sh $
#

add_fun(){
result="`$@ 2>&1`"
if [ $? -eq 1 ]; then
	if [ `echo "$result" | grep -c "already exist"` -eq 1 -o `echo "$result" | grep -c "already in"` -eq 1 ]; then
		:	
	else
		echo "$@";
	fi
fi
}
		
VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
HACLUS="$VCSHOME/bin/haclus"
HACONF="$VCSHOME/bin/haconf"
HATYPE="$VCSHOME/bin/hatype"
HAATTR="$VCSHOME/bin/haattr"
HARES="$VCSHOME/bin/hares"

ro=`$HACLUS -value ReadOnly`
if [ $? -eq 0 ]; then
	if [ "$ro" -eq 1 ];
	then
		$HACONF -makerw
	fi
else 
	echo "Unable to add the SRDFSG types, VCS is not running. Start VCS and execute the script /etc/VRTSvcs/conf/sample_srdf/addSRDFType.sh "
	exit 0;
fi

add_fun "$HATYPE -add SRDFSG"
$HATYPE -modify SRDFSG SourceFile "./SRDFSGTypes.cf"
$HATYPE -modify SRDFSG ArgList SymHome GrpName AutoTakeover SplitTakeover Mode SwapRoles LinkMonitor AdvancedOpts SymmID Rdfg DevFOTime
$HATYPE -modify SRDFSG ActionTimeout 180
$HATYPE -modify SRDFSG OfflineMonitorInterval 0 
$HATYPE -modify SRDFSG MonitorInterval 300
$HATYPE -modify SRDFSG OpenTimeout 180
$HATYPE -modify SRDFSG RestartLimit 1

$HATYPE -modify SRDFSG SupportedActions test_sg 

$HATYPE -modify SRDFSG NameRule "resource.GrpName" >/dev/null 2>&1
add_fun "$HAATTR -add SRDFSG SymHome -string "/usr/symcli""
add_fun "$HAATTR -add SRDFSG GrpName -string"
add_fun "$HAATTR -add SRDFSG SymmID -string"
add_fun "$HAATTR -add SRDFSG Rdfg -string"
add_fun "$HAATTR -add SRDFSG DevFOTime -integer 2"
add_fun "$HAATTR -add SRDFSG AutoTakeover -boolean 0"
add_fun "$HAATTR -add SRDFSG SplitTakeover -boolean 0"
add_fun "$HAATTR -add SRDFSG LinkMonitor -integer 0"
add_fun "$HAATTR -add SRDFSG Mode -string"
add_fun "$HAATTR -add SRDFSG SwapRoles -boolean 1"
add_fun "$HAATTR -add -temp SRDFSG VCSResLock -string"
add_fun "$HAATTR -add SRDFSG AdvancedOpts -string -assoc ExtendMonitor null"

if [ "$ro" -eq 1 ];
then
	$HACONF -dump -makero
else
	$HACONF -dump
fi

